buildscript {
    repositories {
        mavenLocal()
        maven {
            allowInsecureProtocol = true
            url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}


version = "1.0.3"

apply plugin: "$bootGroup"
apply plugin: "io.spring.dependency-management"


dependencies {
    implementation project(":common:utils")
    implementation("$bootGroup:spring-boot-starter-web")
    implementation("$bootGroup:spring-boot-starter-undertow")
    implementation("$bootGroup:spring-boot-starter-websocket")
    implementation("org.apache.logging.log4j:log4j-core:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-jul:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-api:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-slf4j-impl:$log4jVersion")
    implementation ("mysql:mysql-connector-java:$mysqlConnectorVersion")
    implementation ("com.alibaba:druid:$alibabaDruidVersion")
    implementation ("com.alibaba:fastjson:$fastjsonVersion")


    implementation "com.baomidou:mybatis-plus-boot-starter:3.1.1"
    implementation "com.baomidou:mybatis-plus-generator:3.1.1"

    implementation("$bootGroup:spring-boot-starter-test")
    implementation "com.xuxueli:xxl-job-core:2.3.0"


}

